# Ethereum Mainnet

- [mAssets](https://developers.mstable.org/contracts/massets.md): Meta Assets (mAssets) are assets that are composed of other underlying similar assets. Currently, deployed mAssets are mUSD and mBTC.
- [imAssets (SAVE)](https://developers.mstable.org/contracts/imassets-save.md)
- [Feeder Pools](https://developers.mstable.org/contracts/feeder-pool.md)
- [Vaults](https://developers.mstable.org/contracts/vaults.md)
- [BoostedSavingsVault](https://developers.mstable.org/contracts/vaults/boostedsavingsvault.md)
- [BoostedSavingsVault V2](https://developers.mstable.org/contracts/vaults/boostedsavingsvault-1.md)
- [BoostedDualVault](https://developers.mstable.org/contracts/vaults/boosteddualvault.md)
- [Shared Addresses](https://developers.mstable.org/contracts/shared-addresses.md): These contracts are used in multiple other components of the mStable protocol.
- [Governance](https://developers.mstable.org/contracts/governance.md)
- [stkMTA](https://developers.mstable.org/contracts/governance/stkmta.md)
- [stkBPT](https://developers.mstable.org/contracts/governance/stkbpt.md)
- [Quest Manager](https://developers.mstable.org/contracts/governance/quest-manager.md)
- [Save Wrapper](https://developers.mstable.org/contracts/save-wrapper.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mstable.org/contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
